dsdpcone_impl.h File Reference

Implementations of a cone (SDP,LP,...) must provide a structure of function pointers. More...

Go to the source code of this file.

## Functions

int | DSDPAddCone (DSDP, struct DSDPCone_Ops *, void *)
| Apply DSDP to a conic structure.
int | DSDPConeOpsInitialize (struct DSDPCone_Ops *)
| Initialize the function pointers to 0.

## Detailed Description

Implementations of a cone (SDP,LP,...) must provide a structure of function pointers.

Definition in file dsdpcone_impl.h.

## Function Documentation

## DSDPAddCone()

int DSDPAddCone | ( | DSDP | dsdp,
|  | struct DSDPCone_Ops * | dsdpops,
|  | void * | dsdpcone
| ) |  |

extern

Apply DSDP to a conic structure.

Parameters

  dsdp | the solver
  dsdpops | address of a structure with function pointers
  dsdpcone | address of a cone structure

DSDP operates on cones such as the semidefinite cone and nonnegative orthant. Given variables y from the solver, each cone implements operations such as computing S, maximum step length, computing the Newton matrix, and computing the Hessian. Each operation is well defined by the dual-scaling algorithm. A cone that implements these operations can be added to the DSDP solver.

See also
  DSDPCreateSDPCone()
  DSDPCreateLPCone()
  DSDPCreateBCone()

Todo:
  Add SOCP cone and application-specific cones.

Definition at line 569 of file dsdpcops.c.

Referenced by DSDPAddLUBounds(), DSDPAddRCone(), and DSDPAddSDP().

## DSDPConeOpsInitialize()

int DSDPConeOpsInitialize | ( | struct DSDPCone_Ops * | dops | ) |

extern

Initialize the function pointers to 0.

Parameters

  dops | address of a structure of function pointers.

Definition at line 443 of file dsdpcone.c.

Referenced by DSDPConeInitialize().